# ApplicationFramework
PTKernel
PTColStd

# PTColStd_DataMapIteratorOfTransientPersistentMap Class Reference

`#include <PTColStd_DataMapIteratorOfTransientPersistentMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PTColStd_DataMapIteratorOfTransientPersistentMap ()
Standard_EXPORT | PTColStd_DataMapIteratorOfTransientPersistentMap (const PTColStd_TransientPersistentMap &aMap)
Standard_EXPORT void | Initialize (const PTColStd_TransientPersistentMap &aMap)
Standard_EXPORT const Handle_Standard_Transient & | Key () const
Standard_EXPORT const Handle_Standard_Persistent & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT PTColStd_DataMapIteratorOfTransientPersistentMap::PTColStd_DataMapIteratorOfTransientPersistentMap | ( |  | ) |

Standard_EXPORT PTColStd_DataMapIteratorOfTransientPersistentMap::PTColStd_DataMapIteratorOfTransientPersistentMap | ( | const PTColStd_TransientPersistentMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void PTColStd_DataMapIteratorOfTransientPersistentMap::Initialize | ( | const PTColStd_TransientPersistentMap & | aMap | ) |

Standard_EXPORT const Handle_Standard_Transient& PTColStd_DataMapIteratorOfTransientPersistentMap::Key | ( |  | ) | const

void PTColStd_DataMapIteratorOfTransientPersistentMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PTColStd_DataMapIteratorOfTransientPersistentMap::operator new | ( | size_t | size | ) | `[inline]`

void* PTColStd_DataMapIteratorOfTransientPersistentMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Standard_Persistent& PTColStd_DataMapIteratorOfTransientPersistentMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- PTColStd_DataMapIteratorOfTransientPersistentMap.hxx